printOptions = new PrintOptions();
colorOptions = new PrintColorManagementOptions();
colorOptions.name = "ColorMatch RGB";
colorOptions.intent = PrintColorIntent.SATURATIONINTENT;
printOptions.colorManagementOptions = colorOptions;
printJobOptions= new PrintJobOptions();
printJobOptions.designation = PrintArtworkDesignation.VISIBLEPRINTABLELAYERS;
printJobOptions.reverse = true;
printOptions.jobOptions = printJobOptions;
coordinateOptions = new PrintCoordinateOptions();
coordinateOptions.fitToMedia = true;
printOptions.coordinateOptions = coordinateOptions;

flatOpts = new PrintFlattenerOptions();
flatOpts .ClipComplexRegions = true;
flatOpts .GradientResoultion = 60;
flatOpts .RasterizatonResotion = 60;
printOptions.flattenerOptions = flatOpts;

for (i=0; i<activeDocument.layers.length; i++)
{
	for (j=0; j<activeDocument.layers.length; j++)
	{
		activeDocument.layers[j].printable = false;
	}
	activeDocument.layers[i].printable = true;
	activeDocument.print(printOptions);
}

